ZenLib::CriticalSectionLocker Class Reference

CriticalSectionLocker helper. More...

`#include <CriticalSection.h>`

## Public Member Functions

| CriticalSectionLocker (ZenLib::CriticalSection &CS)
| ~CriticalSectionLocker ()

## Detailed Description

CriticalSectionLocker helper.

## Constructor & Destructor Documentation

## CriticalSectionLocker()

ZenLib::CriticalSectionLocker::CriticalSectionLocker | ( | ZenLib::CriticalSection & | CS | ) |

inline

References ZenLib::CriticalSection::Enter().

## ~CriticalSectionLocker()

ZenLib::CriticalSectionLocker::~CriticalSectionLocker | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- CriticalSection.h